@ECHO OFF

:BEGIN
CLS
SET PASS=%1
SET PIN=%2

IF [%PASS%] == [] GOTO VOIDP
IF [%PIN%] == [] GOTO INPIN
GOTO END

:VOIDP
SET /p PASS="Inserire la password utilizzata per accedere ai servizi telematici: " %=%
IF [%PASS%] == [] GOTO PASSVOID

:INPIN
SET /p PIN="Inserire il PIN utilizzato per accedere ai servizi telematici: " %=%
IF [%PIN%] == [] GOTO PINVOID
GOTO END


:PASSVOID
ECHO "La password e' un dato obbligatorio"
GOTO VOIDP

:PINVOID
ECHO "Il PIN e' un dato obbligatorio"
GOTO INPIN


:END




set _JAVA_PATH="C:\Program Files\Java\jre-1.8\bin"
set _LIBPATH=..\lib
set _CFGBPATH=..\prog\cfg

set _CLASSPATH=..\entratelMultifile.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\*


%_JAVA_PATH%\java -ms30M -mx800M -cp %_CLASSPATH% it.sogei.telematici.multifile.RunDownload %PASS% %PIN%

PAUSE
